## malcontent 0.8.0

=== meson_options.txt ===
option(
  'installed_tests',
  type: 'boolean',
  value: false,
  description: 'enable installed tests'
)
option(
  'pamlibdir',
  type: 'string',
  description: 'directory for PAM modules'
)
option(
  'ui',
  type: 'feature',
  value: 'enabled',
  description: 'enable UI library'
)
option(
  'use_system_libmalcontent',
  type: 'boolean',
  value: false,
  description: 'use installed libmalcontent rather than building it; used in distros to break a dependency cycle'
)

=== debian/changelog ===
malcontent (0.8.0-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/malcontent-gui.install: Install help pages

  [ Simon McVittie ]
  * Add pkg.malcontent.nogui build-profile to disable UI library

 -- Laurent Bigonville <bigon@debian.org>  Tue, 14 Jul 2020 12:39:00 +0200

malcontent (0.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #942166)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Jul 2020 18:07:10 +0200

=== debian/control ===
Source: malcontent
Priority: optional
Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>
Build-Depends: appstream-util,
               debhelper-compat (= 12),
               desktop-file-utils,
               gobject-introspection,
               itstool,
               libaccountsservice-dev,
               libdbus-1-dev,
               libflatpak-dev <!pkg.malcontent.nogui>,
               libgirepository1.0-dev,
               libglib-testing-0-dev,
               libglib2.0-dev (>= 2.60),
               libgtk-3-dev <!pkg.malcontent.nogui>,
               libpam0g-dev,
               libpolkit-gobject-1-dev,
               libxml2-utils,
               meson (>= 0.50.0),
               policykit-1
Rules-Requires-Root: no
Standards-Version: 4.5.0
Section: admin
Homepage: https://gitlab.freedesktop.org/pwithnall/malcontent/
Vcs-Browser: https://salsa.debian.org/freedesktop-team/malcontent
Vcs-Git: https://salsa.debian.org/freedesktop-team/malcontent.git

Package: malcontent
Architecture: all
Depends: accountsservice,
         gir1.2-glib-2.0,
         gir1.2-malcontent-0 (>= ${binary:Version}),
         policykit-1,
         python3,
         python3-gi,
         ${misc:Depends}
Description: framework for parental control of applications
 malcontent implements support for restricting the type of content accessible
 to non-administrator accounts on a Linux system. Typically, when this is used,
 a non-administrator account will be for a child using the system; and the
 administrator accounts will be for the parents; and the content being filtered
 will be apps which are not suitable for the child to use, due to (for example)
 being too violent.
 .
 This is not a security boundary, and a sufficiently technically advanced user
 may always work around these parental controls. malcontent is not a mandatory
 access control (MAC) system like AppArmor or SELinux. However, its correct use
 by applications should provide enough of an obstacle to prevent users easily or
 accidentally having access to content which they shouldn’t.

Package: malcontent-gui
Build-Profiles: <!pkg.malcontent.nogui>
Architecture: any
Depends: malcontent (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GUI to configure malcontent
 malcontent implements support for restricting the type of content accessible
 to non-administrator accounts on a Linux system. Typically, when this is used,
 a non-administrator account will be for a child using the system; and the
 administrator accounts will be for the parents; and the content being filtered
 will be apps which are not suitable for the child to use, due to (for example)
 being too violent.
 .
 This is not a security boundary, and a sufficiently technically advanced user
 may always work around these parental controls. malcontent is not a mandatory
 access control (MAC) system like AppArmor or SELinux. However, its correct use
 by applications should provide enough of an obstacle to prevent users easily or
 accidentally having access to content which they shouldn’t.
 .
 This package contains the GUI to configure malcontent.

Package: libmalcontent-0-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for parental control of applications
 malcontent implements support for restricting the type of content accessible
 to non-administrator accounts on a Linux system. Typically, when this is used,
 a non-administrator account will be for a child using the system; and the
 administrator accounts will be for the parents; and the content being filtered
 will be apps which are not suitable for the child to use, due to (for example)
 being too violent.
 .
 This is not a security boundary, and a sufficiently technically advanced user
 may always work around these parental controls. malcontent is not a mandatory
 access control (MAC) system like AppArmor or SELinux. However, its correct use
 by applications should provide enough of an obstacle to prevent users easily or
 accidentally having access to content which they shouldn’t.
 .
 This package contains the libmalcontent library.

Package: libmalcontent-0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-malcontent-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.60),
         libmalcontent-0-0 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for libmalcontent
 malcontent implements support for restricting the type of content accessible
 to non-administrator accounts on a Linux system. Typically, when this is used,
 a non-administrator account will be for a child using the system; and the
 administrator accounts will be for the parents; and the content being filtered
 will be apps which are not suitable for the child to use, due to (for example)
 being too violent.
 .
 This is not a security boundary, and a sufficiently technically advanced user
 may always work around these parental controls. malcontent is not a mandatory
 access control (MAC) system like AppArmor or SELinux. However, its correct use
 by applications should provide enough of an obstacle to prevent users easily or
 accidentally having access to content which they shouldn’t.
 .
 This package contains the development files for libmalcontent.

Package: gir1.2-malcontent-0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: GObject introspection bindings for libmalcontent
 malcontent implements support for restricting the type of content accessible
 to non-administrator accounts on a Linux system. Typically, when this is used,
 a non-administrator account will be for a child using the system; and the
 administrator accounts will be for the parents; and the content being filtered
 will be apps which are not suitable for the child to use, due to (for example)
 being too violent.
 .
 This is not a security boundary, and a sufficiently technically advanced user
 may always work around these parental controls. malcontent is not a mandatory
 access control (MAC) system like AppArmor or SELinux. However, its correct use
 by applications should provide enough of an obstacle to prevent users easily or
 accidentally having access to content which they shouldn’t.
 .
 This package contains the GObject introspection bindings for libmalcontent.

Package: libmalcontent-ui-0-0
Build-Profiles: <!pkg.malcontent.nogui>
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for parental control of applications - GTK+ widgets and dialogs
 malcontent implements support for restricting the type of content accessible
 to non-administrator accounts on a Linux system. Typically, when this is used,
 a non-administrator account will be for a child using the system; and the
 administrator accounts will be for the parents; and the content being filtered
 will be apps which are not suitable for the child to use, due to (for example)
 being too violent.
 .
 This is not a security boundary, and a sufficiently technically advanced user
 may always work around these parental controls. malcontent is not a mandatory
 access control (MAC) system like AppArmor or SELinux. However, its correct use
 by applications should provide enough of an obstacle to prevent users easily or
 accidentally having access to content which they shouldn’t.
 .
 This package contains the libmalcontent-ui library to display GTK+ widgets and
 dialogs.

Package: libmalcontent-ui-0-dev
Build-Profiles: <!pkg.malcontent.nogui>
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-malcontentui-0 (= ${binary:Version}),
         libaccountsservice-dev,
         libflatpak-dev,
         libglib2.0-dev (>= 2.60),
         libgtk-3-dev,
         libmalcontent-0-dev (= ${binary:Version}),
         libmalcontent-ui-0-0 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for libmalcontent-ui
 malcontent implements support for restricting the type of content accessible
 to non-administrator accounts on a Linux system. Typically, when this is used,
 a non-administrator account will be for a child using the system; and the
 administrator accounts will be for the parents; and the content being filtered
 will be apps which are not suitable for the child to use, due to (for example)
 being too violent.
 .
 This is not a security boundary, and a sufficiently technically advanced user
 may always work around these parental controls. malcontent is not a mandatory
 access control (MAC) system like AppArmor or SELinux. However, its correct use
 by applications should provide enough of an obstacle to prevent users easily or
 accidentally having access to content which they shouldn’t.
 .
 This package contains the development files for libmalcontent-ui.

Package: gir1.2-malcontentui-0
Build-Profiles: <!pkg.malcontent.nogui>
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: GObject introspection bindings for libmalcontent-ui
 malcontent implements support for restricting the type of content accessible
 to non-administrator accounts on a Linux system. Typically, when this is used,
 a non-administrator account will be for a child using the system; and the
 administrator accounts will be for the parents; and the content being filtered
 will be apps which are not suitable for the child to use, due to (for example)
 being too violent.
 .
 This is not a security boundary, and a sufficiently technically advanced user
 may always work around these parental controls. malcontent is not a mandatory
 access control (MAC) system like AppArmor or SELinux. However, its correct use
 by applications should provide enough of an obstacle to prevent users easily or
 accidentally having access to content which they shouldn’t.
 .
 This package contains the GObject introspection bindings for libmalcontent-ui.

Package: libpam-malcontent
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PAM module to control the time a user is spending on the computer
 malcontent implements support for restricting the type of content accessible
 to non-administrator accounts on a Linux system. Typically, when this is used,
 a non-administrator account will be for a child using the system; and the
 administrator accounts will be for the parents; and the content being filtered
 will be apps which are not suitable for the child to use, due to (for example)
 being too violent.
 .
 This is not a security boundary, and a sufficiently technically advanced user
 may always work around these parental controls. malcontent is not a mandatory
 access control (MAC) system like AppArmor or SELinux. However, its correct use
 by applications should provide enough of an obstacle to prevent users easily or
 accidentally having access to content which they shouldn’t.
 .
 This package contains a PAM module to control the time a user is spending on
 the computer.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

binaries := $(shell dh_listpackages)

%:
	dh $@ --with gir

meson_options := -Dpamlibdir=/lib/$(DEB_HOST_MULTIARCH)/security

ifneq ($(filter libmalcontent-ui-%,$(binaries)),)
meson_options += -Dui=enabled
else
meson_options += -Dui=disabled
endif

override_dh_auto_configure:
	dh_auto_configure -- $(meson_options)

## malcontent 0.9.0

=== debian/changelog ===
malcontent (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Set privileged_group to sudo
  * debian/control: Add libappstream-glib-dev to the (build-)dependencies
  * debian/*.symbols: Update the symbols file.
    Some symbols are gone but they don't seem used by other applications

 -- Laurent Bigonville <bigon@debian.org>  Tue, 29 Sep 2020 20:17:40 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                gobject-introspection,
                itstool,
                libaccountsservice-dev,
+               libappstream-glib-dev,
                libdbus-1-dev,
                libflatpak-dev <!pkg.malcontent.nogui>,
                libgirepository1.0-dev,
@@ -165,6 +166,7 @@
 Multi-Arch: same
 Depends: gir1.2-malcontentui-0 (= ${binary:Version}),
          libaccountsservice-dev,
+         libappstream-glib-dev,
          libflatpak-dev,
          libglib2.0-dev (>= 2.60),
          libgtk-3-dev,

## malcontent 0.10.0

=== debian/changelog ===
malcontent (0.10.0-2) unstable; urgency=medium

  * debian/libmalcontent-ui-0-0.symbols: Remove symbols not exported anymore
    due to appstream-glib version. Bump libappstream-glib-dev build-dependency
    to 0.7.18 (Closes: #978388)
  * debian/control: Bump Standards-Version to 4.5.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 09 Feb 2021 15:11:05 +0100

malcontent (0.10.0-1) unstable; urgency=medium

  * New upstream release
    - Consider parental control being disabled if accountsservice is not
      installed/running (Closes: #972145)
    - debian/libmalcontent-0-0.symbols: Add newly exported symbol

 -- Laurent Bigonville <bigon@debian.org>  Thu, 10 Dec 2020 11:21:09 +0100

malcontent (0.9.0-2) unstable; urgency=medium

  [ Diego Escalante Urrelo ]
  * d/malcontent-gui.install: Add missing .policy file (Closes: #971728)

  [ Laurent Bigonville ]
  * d/malcontent.install: Explicitly list the polkit files to install

 -- Laurent Bigonville <bigon@debian.org>  Fri, 09 Oct 2020 14:24:12 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                gobject-introspection,
                itstool,
                libaccountsservice-dev,
-               libappstream-glib-dev,
+               libappstream-glib-dev (>= 0.7.18),
                libdbus-1-dev,
                libflatpak-dev <!pkg.malcontent.nogui>,
                libgirepository1.0-dev,
@@ -21,7 +21,7 @@
                meson (>= 0.50.0),
                policykit-1
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: admin
 Homepage: https://gitlab.freedesktop.org/pwithnall/malcontent/
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/malcontent

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 endif
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(meson_options)
+	dh_auto_configure -- -Dprivileged_group=sudo $(meson_options)

## malcontent 0.10.1

=== debian/changelog ===
malcontent (0.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Mon, 16 Aug 2021 12:58:13 +0200

=== debian/watch ===
version=4
https://gitlab.freedesktop.org/pwithnall/malcontent/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.bz2

## malcontent 0.10.3

=== debian/changelog ===
malcontent (0.10.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Nov 2021 20:08:33 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                meson (>= 0.50.0),
                policykit-1
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: admin
 Homepage: https://gitlab.freedesktop.org/pwithnall/malcontent/
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/malcontent

## malcontent 0.10.4

=== debian/changelog ===
malcontent (0.10.4-1ubuntu0.22.04) jammy; urgency=medium

  * d/p/all_apps.patch
    - Allow all apps to be filtered (LP: #2077641)
  * d/p/hide_unsupported_features.patch
    - Hide UI elements for features not supported in Ubuntu (LP: #2077641)
  * d/p/help_dont_reference_software_installation.patch
    - Don't reference unsupported features in the help files (LP: #2077641)
  * d/not-installed
    - flag files not installed
  * d/malcontent-gui.install
    - Only include help files for supported features (LP: #2077641)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 23 Aug 2024 11:09:50 -0400

malcontent (0.10.4-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
    - Fixes build with latest meson (Closes: #1005465)
  * Build-Depend on dh-sequence-gir
  * Bump debhelper-compat to 13

  [ Laurent Bigonville ]
  * debian/control: Do not build UI packages on non-linux architectures
    flatpak will never be ported on these

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 24 Mar 2022 18:21:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: malcontent
 Priority: optional
-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                desktop-file-utils,
-               gobject-introspection,
+               dh-sequence-gir,
                itstool,
                libaccountsservice-dev,
                libappstream-glib-dev (>= 0.7.18),
                libdbus-1-dev,
-               libflatpak-dev <!pkg.malcontent.nogui>,
+               libflatpak-dev [linux-any] <!pkg.malcontent.nogui>,
                libgirepository1.0-dev,
                libglib-testing-0-dev,
                libglib2.0-dev (>= 2.60),
-               libgtk-3-dev <!pkg.malcontent.nogui>,
+               libgtk-3-dev [linux-any] <!pkg.malcontent.nogui>,
                libpam0g-dev,
                libpolkit-gobject-1-dev,
                libxml2-utils,
@@ -52,7 +53,7 @@
 
 Package: malcontent-gui
 Build-Profiles: <!pkg.malcontent.nogui>
-Architecture: any
+Architecture: linux-any
 Depends: malcontent (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: GUI to configure malcontent
  malcontent implements support for restricting the type of content accessible
@@ -139,7 +140,7 @@
 Package: libmalcontent-ui-0-0
 Build-Profiles: <!pkg.malcontent.nogui>
 Section: libs
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library for parental control of applications - GTK+ widgets and dialogs
@@ -162,7 +163,7 @@
 Package: libmalcontent-ui-0-dev
 Build-Profiles: <!pkg.malcontent.nogui>
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: gir1.2-malcontentui-0 (= ${binary:Version}),
          libaccountsservice-dev,
@@ -192,7 +193,7 @@
 Package: gir1.2-malcontentui-0
 Build-Profiles: <!pkg.malcontent.nogui>
 Section: introspection
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: GObject introspection bindings for libmalcontent-ui

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 binaries := $(shell dh_listpackages)
 
 %:
-	dh $@ --with gir
+	dh $@
 
 meson_options := -Dpamlibdir=/lib/$(DEB_HOST_MULTIARCH)/security

## malcontent 0.10.5

=== debian/changelog ===
malcontent (0.10.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Jun 2022 17:02:37 -0400

## malcontent 0.11.0

=== meson_options.txt ===
--- 
+++ 
@@ -21,3 +21,9 @@
   value: false,
   description: 'use installed libmalcontent rather than building it; used in distros to break a dependency cycle'
 )
+option(
+  'privileged_group',
+  type: 'string',
+  value: 'wheel',
+  description: 'name of group that has elevated permissions'
+)

=== debian/changelog ===
malcontent (0.11.0-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields
  * Update standards version to 4.6.1, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Sep 2022 06:44:27 -0400

malcontent (0.11.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Rename binary packages for UI API bump
  * Build with GTK4 & libadwaita instead of GTK3
  * debian/control: Build-Depend on libappstream-dev
  * debian/libmalcontent-ui-1-1.symbols: Add new symbol
  * Enable all hardening flags

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 14 Sep 2022 11:33:02 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: malcontent
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
+Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
                debhelper-compat (= 13),
@@ -9,20 +8,22 @@
                dh-sequence-gir,
                itstool,
                libaccountsservice-dev,
+               libadwaita-1-dev [linux-any] <!pkg.malcontent.nogui>,
+               libappstream-dev,
                libappstream-glib-dev (>= 0.7.18),
                libdbus-1-dev,
                libflatpak-dev [linux-any] <!pkg.malcontent.nogui>,
                libgirepository1.0-dev,
                libglib-testing-0-dev,
                libglib2.0-dev (>= 2.60),
-               libgtk-3-dev [linux-any] <!pkg.malcontent.nogui>,
+               libgtk-4-dev [linux-any] <!pkg.malcontent.nogui>,
                libpam0g-dev,
                libpolkit-gobject-1-dev,
                libxml2-utils,
                meson (>= 0.50.0),
                policykit-1
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: admin
 Homepage: https://gitlab.freedesktop.org/pwithnall/malcontent/
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/malcontent
@@ -137,7 +138,7 @@
  .
  This package contains the GObject introspection bindings for libmalcontent.
 
-Package: libmalcontent-ui-0-0
+Package: libmalcontent-ui-1-1
 Build-Profiles: <!pkg.malcontent.nogui>
 Section: libs
 Architecture: linux-any
@@ -160,19 +161,19 @@
  This package contains the libmalcontent-ui library to display GTK+ widgets and
  dialogs.
 
-Package: libmalcontent-ui-0-dev
+Package: libmalcontent-ui-dev
 Build-Profiles: <!pkg.malcontent.nogui>
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: gir1.2-malcontentui-0 (= ${binary:Version}),
+Depends: gir1.2-malcontentui-1 (= ${binary:Version}),
          libaccountsservice-dev,
          libappstream-glib-dev,
          libflatpak-dev,
          libglib2.0-dev (>= 2.60),
          libgtk-3-dev,
          libmalcontent-0-dev (= ${binary:Version}),
-         libmalcontent-ui-0-0 (= ${binary:Version}),
+         libmalcontent-ui-1-1 (= ${binary:Version}),
          ${misc:Depends}
 Description: development files for libmalcontent-ui
  malcontent implements support for restricting the type of content accessible
@@ -190,7 +191,7 @@
  .
  This package contains the development files for libmalcontent-ui.
 
-Package: gir1.2-malcontentui-0
+Package: gir1.2-malcontentui-1
 Build-Profiles: <!pkg.malcontent.nogui>
 Section: introspection
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,9 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 binaries := $(shell dh_listpackages)

## malcontent 0.11.1

=== debian/changelog ===
malcontent (0.11.1-3deepin1) unstable; urgency=medium

  * Add deepin1 suffix

 -- Wang Zichong <wangzichong@deepin.org>  Fri, 17 May 2024 16:28:00 +0800

malcontent (0.11.1-3) unstable; urgency=medium

  * Team upload
  * Re-enable GUI on architectures where Flatpak is buildable
    (release architectures plus hppa, loong64, ppc64, x32)

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Mar 2024 20:52:44 +0000

malcontent (0.11.1-2) unstable; urgency=medium

  * Team upload
  * Temporarily disable GUI on armel, armhf and most -ports architectures.
    This is necessary for the 64-bit time_t transition, to allow flatpak
    to be rebuilt on the affected architectures.

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Mar 2024 14:05:52 +0000

malcontent (0.11.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop alternate dependency on policykit-1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Sep 2023 13:48:15 -0400

malcontent (0.11.0-4) unstable; urgency=medium

  * Team upload
  * Depend and build-depend on polkitd instead of policykit-1.
    This allows malcontent to be installed without needing pkexec (which
    it doesn't seem to invoke) or the legacy polkitd-pkla (it has a .rules
    file that is equivalent to its .pkla file). (Closes: #1025381, #1025596)
  * Standards-Version: 4.6.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Feb 2023 14:43:43 +0000

malcontent (0.11.0-3) unstable; urgency=medium

  * Team upload
  * Update libmalcontent-ui-dev's Depends to match its pkgconfig file

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 11:40:28 -0400

=== debian/control ===
--- 
+++ 
@@ -8,22 +8,21 @@
                dh-sequence-gir,
                itstool,
                libaccountsservice-dev,
-               libadwaita-1-dev [linux-any] <!pkg.malcontent.nogui>,
+               libadwaita-1-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32] <!pkg.malcontent.nogui>,
                libappstream-dev,
-               libappstream-glib-dev (>= 0.7.18),
                libdbus-1-dev,
-               libflatpak-dev [linux-any] <!pkg.malcontent.nogui>,
+               libflatpak-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32] <!pkg.malcontent.nogui>,
                libgirepository1.0-dev,
                libglib-testing-0-dev,
                libglib2.0-dev (>= 2.60),
-               libgtk-4-dev [linux-any] <!pkg.malcontent.nogui>,
+               libgtk-4-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32] <!pkg.malcontent.nogui>,
                libpam0g-dev,
                libpolkit-gobject-1-dev,
                libxml2-utils,
                meson (>= 0.50.0),
-               policykit-1
+               polkitd,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: admin
 Homepage: https://gitlab.freedesktop.org/pwithnall/malcontent/
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/malcontent
@@ -34,7 +33,7 @@
 Depends: accountsservice,
          gir1.2-glib-2.0,
          gir1.2-malcontent-0 (>= ${binary:Version}),
-         policykit-1,
+         polkitd,
          python3,
          python3-gi,
          ${misc:Depends}
@@ -54,7 +53,7 @@
 
 Package: malcontent-gui
 Build-Profiles: <!pkg.malcontent.nogui>
-Architecture: linux-any
+Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32
 Depends: malcontent (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: GUI to configure malcontent
  malcontent implements support for restricting the type of content accessible
@@ -141,7 +140,7 @@
 Package: libmalcontent-ui-1-1
 Build-Profiles: <!pkg.malcontent.nogui>
 Section: libs
-Architecture: linux-any
+Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library for parental control of applications - GTK+ widgets and dialogs
@@ -164,14 +163,15 @@
 Package: libmalcontent-ui-dev
 Build-Profiles: <!pkg.malcontent.nogui>
 Section: libdevel
-Architecture: linux-any
+Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32
 Multi-Arch: same
 Depends: gir1.2-malcontentui-1 (= ${binary:Version}),
          libaccountsservice-dev,
-         libappstream-glib-dev,
+         libadwaita-1-dev,
+         libappstream-dev,
          libflatpak-dev,
          libglib2.0-dev (>= 2.60),
-         libgtk-3-dev,
+         libgtk-4-dev,
          libmalcontent-0-dev (= ${binary:Version}),
          libmalcontent-ui-1-1 (= ${binary:Version}),
          ${misc:Depends}
@@ -194,7 +194,7 @@
 Package: gir1.2-malcontentui-1
 Build-Profiles: <!pkg.malcontent.nogui>
 Section: introspection
-Architecture: linux-any
+Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32
 Multi-Arch: same
 Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: GObject introspection bindings for libmalcontent-ui

## malcontent 0.12.0

=== debian/changelog ===
malcontent (0.12.0-1.1ubuntu1.1) oracular; urgency=medium

  * d/p/application-Fix-opening-Settings.patch
    - Fix opening Settings (LP: #2092815)
  * d/p/malcontent-control-Re-show-in-the-app-list.patch
    - Re-show the control panel in the app list (LP: #2091544)

 -- Bin Li <binli@ubuntu.com>  Thu, 23 Jan 2025 14:53:20 +0100

malcontent (0.12.0-1.1ubuntu1) oracular; urgency=medium

  * d/p/all_apps.patch
    - Allow all apps to be filtered
  * d/p/hide_unsupported_features.patch
    - Hide UI elements for features not supported in Ubuntu
  * d/p/help_dont_reference_software_installation.patch
    - Don't reference unsupported features in the help files
  * d/not-installed
    - flag files not installed
  * d/malcontent-gui.install
    - Only include help files for supported features

 -- Ken VanDine <ken.vandine@ubuntu.com>  Wed, 14 Aug 2024 10:59:16 -0400

malcontent (0.12.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michael Biebl ]
  * Install PAM module into /usr. (Closes: #1061702)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 12 Jun 2024 21:50:41 +0200

malcontent (0.12.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum meson to 1.2.0 & GTK4 to 4.12.0
  * debian/libmalcontent-ui-1-1.symbols: Add new symbols
  * Replace GTK+ with GTK in package description

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 15:02:31 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: malcontent
 Priority: optional
-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
-Uploaders: Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
+Uploaders: Ken VanDine <ken.vandine@ubuntu.com>,
+           Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: appstream-util,
                debhelper-compat (= 13),
                desktop-file-utils,
@@ -15,11 +17,11 @@
                libgirepository1.0-dev,
                libglib-testing-0-dev,
                libglib2.0-dev (>= 2.60),
-               libgtk-4-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32] <!pkg.malcontent.nogui>,
+               libgtk-4-dev (>= 4.12.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32] <!pkg.malcontent.nogui>,
                libpam0g-dev,
                libpolkit-gobject-1-dev,
                libxml2-utils,
-               meson (>= 0.50.0),
+               meson (>= 1.2.0),
                polkitd,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -143,21 +145,21 @@
 Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: library for parental control of applications - GTK+ widgets and dialogs
- malcontent implements support for restricting the type of content accessible
- to non-administrator accounts on a Linux system. Typically, when this is used,
- a non-administrator account will be for a child using the system; and the
- administrator accounts will be for the parents; and the content being filtered
- will be apps which are not suitable for the child to use, due to (for example)
- being too violent.
- .
- This is not a security boundary, and a sufficiently technically advanced user
- may always work around these parental controls. malcontent is not a mandatory
- access control (MAC) system like AppArmor or SELinux. However, its correct use
- by applications should provide enough of an obstacle to prevent users easily or
- accidentally having access to content which they shouldn’t.
- .
- This package contains the libmalcontent-ui library to display GTK+ widgets and
+Description: library for parental control of applications - GTK widgets and dialogs
+ malcontent implements support for restricting the type of content accessible
+ to non-administrator accounts on a Linux system. Typically, when this is used,
+ a non-administrator account will be for a child using the system; and the
+ administrator accounts will be for the parents; and the content being filtered
+ will be apps which are not suitable for the child to use, due to (for example)
+ being too violent.
+ .
+ This is not a security boundary, and a sufficiently technically advanced user
+ may always work around these parental controls. malcontent is not a mandatory
+ access control (MAC) system like AppArmor or SELinux. However, its correct use
+ by applications should provide enough of an obstacle to prevent users easily or
+ accidentally having access to content which they shouldn’t.
+ .
+ This package contains the libmalcontent-ui library to display GTK widgets and
  dialogs.
 
 Package: libmalcontent-ui-dev
@@ -171,7 +173,7 @@
          libappstream-dev,
          libflatpak-dev,
          libglib2.0-dev (>= 2.60),
-         libgtk-4-dev,
+         libgtk-4-dev (>= 4.12.0),
          libmalcontent-0-dev (= ${binary:Version}),
          libmalcontent-ui-1-1 (= ${binary:Version}),
          ${misc:Depends}

## malcontent 0.13.0

=== debian/changelog ===
malcontent (0.13.0-1ubuntu2.1) questing; urgency=medium

  * d/p: Fix filtering snaps after snapd 2.72 (LP: #2128350)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 22 Oct 2025 19:14:15 +0200

malcontent (0.13.0-1ubuntu2) questing; urgency=medium

  * d/p/ui-Fix-wrong-a11y-role-in-button.patch:
    - Fix wrong a11y role in button (lp: #2116954)

 -- Sergio Costas Rodriguez <sergio.costas@canonical.com>  Wed, 16 Jul 2025 10:50:45 +0200

malcontent (0.13.0-1ubuntu1) plucky; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add patch to hide the Software Installation restrictions
    - Add patch and adjust install files to not show help for
      that hidden feature

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Feb 2025 07:46:53 -0500

malcontent (0.13.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1072111)
  * Bump minimum GTK4 and libadwaita
  * malcontent.docs: Install NEWS (Closes: #1073848)
  * Add ${gir:Depends} & ${gir:Provides} to -dev packages
  * Remove obsolete PolicyKit pkla file (Closes: #1093072)
  * Cherry-pick Ubuntu patch to allow filtering .deb & Snap apps
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Feb 2025 22:02:25 -0500

malcontent (0.12.0-1.1ubuntu3) plucky; urgency=medium

  * d/p/malcontent-control-Re-show-in-the-app-list.patch
    - Re-show the control panel in the app list (LP: #2091544)

 -- Bin Li <binli@ubuntu.com>  Thu, 23 Jan 2025 14:22:52 +0100

malcontent (0.12.0-1.1ubuntu2) plucky; urgency=medium

  * d/p/application-Fix-opening-Settings.patch
    - Fix opening Settings (LP: #2092815)

 -- Bin Li <binli@ubuntu.com>  Mon, 13 Jan 2025 11:24:45 +0800

=== debian/control ===
--- 
+++ 
@@ -2,33 +2,32 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
-Uploaders: Ken VanDine <ken.vandine@ubuntu.com>,
-           Jeremy Bícha <jbicha@ubuntu.com>
-Build-Depends: appstream-util,
-               debhelper-compat (= 13),
+Uploaders: Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               appstream-util,
                desktop-file-utils,
-               dh-sequence-gir,
                itstool,
                libaccountsservice-dev,
-               libadwaita-1-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32] <!pkg.malcontent.nogui>,
+               libadwaita-1-dev (>= 1.6) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32] <!pkg.malcontent.nogui>,
                libappstream-dev,
                libdbus-1-dev,
                libflatpak-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32] <!pkg.malcontent.nogui>,
                libgirepository1.0-dev,
                libglib-testing-0-dev,
                libglib2.0-dev (>= 2.60),
-               libgtk-4-dev (>= 4.12.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32] <!pkg.malcontent.nogui>,
+               libgtk-4-dev (>= 4.14.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32] <!pkg.malcontent.nogui>,
                libpam0g-dev,
                libpolkit-gobject-1-dev,
                libxml2-utils,
                meson (>= 1.2.0),
-               polkitd,
+               polkitd
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: admin
 Homepage: https://gitlab.freedesktop.org/pwithnall/malcontent/
-Vcs-Browser: https://salsa.debian.org/freedesktop-team/malcontent
-Vcs-Git: https://salsa.debian.org/freedesktop-team/malcontent.git
+Vcs-Browser: https://salsa.debian.org/freedesktop-team/malcontent/-/tree/ubuntu/questing
+Vcs-Git: https://salsa.debian.org/freedesktop-team/malcontent.git -b ubuntu/questing
 
 Package: malcontent
 Architecture: all
@@ -55,7 +54,7 @@
 
 Package: malcontent-gui
 Build-Profiles: <!pkg.malcontent.nogui>
-Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el ppc64 ppc64el riscv64 s390x x32
 Depends: malcontent (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: GUI to configure malcontent
  malcontent implements support for restricting the type of content accessible
@@ -98,10 +97,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-malcontent-0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.60),
+Depends: libglib2.0-dev (>= 2.60),
          libmalcontent-0-0 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: development files for libmalcontent
  malcontent implements support for restricting the type of content accessible
  to non-administrator accounts on a Linux system. Typically, when this is used,
@@ -142,7 +142,7 @@
 Package: libmalcontent-ui-1-1
 Build-Profiles: <!pkg.malcontent.nogui>
 Section: libs
-Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el ppc64 ppc64el riscv64 s390x x32
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library for parental control of applications - GTK widgets and dialogs
@@ -165,10 +165,9 @@
 Package: libmalcontent-ui-dev
 Build-Profiles: <!pkg.malcontent.nogui>
 Section: libdevel
-Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32
-Multi-Arch: same
-Depends: gir1.2-malcontentui-1 (= ${binary:Version}),
-         libaccountsservice-dev,
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el ppc64 ppc64el riscv64 s390x x32
+Multi-Arch: same
+Depends: libaccountsservice-dev,
          libadwaita-1-dev,
          libappstream-dev,
          libflatpak-dev,
@@ -176,7 +175,9 @@
          libgtk-4-dev (>= 4.12.0),
          libmalcontent-0-dev (= ${binary:Version}),
          libmalcontent-ui-1-1 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: development files for libmalcontent-ui
  malcontent implements support for restricting the type of content accessible
  to non-administrator accounts on a Linux system. Typically, when this is used,
@@ -196,7 +197,7 @@
 Package: gir1.2-malcontentui-1
 Build-Profiles: <!pkg.malcontent.nogui>
 Section: introspection
-Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 x32
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el ppc64 ppc64el riscv64 s390x x32
 Multi-Arch: same
 Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: GObject introspection bindings for libmalcontent-ui

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 %:
 	dh $@
 
-meson_options := -Dpamlibdir=/lib/$(DEB_HOST_MULTIARCH)/security
+meson_options := -Dpamlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)/security
 
 ifneq ($(filter libmalcontent-ui-%,$(binaries)),)
 meson_options += -Dui=enabled

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.freedesktop.org/pwithnall/@PACKAGE@/tags?sort=updated_desc \
	-/archive/[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
